Gecode::Int::ValSet Class Reference

Class for storing values of already assigned views. More...

`#include <val-set.hh>`

## Classes

class | Ranges
| Iterator over ranges. More...

## Public Member Functions

| ValSet (void)
| Initialize.
void | add (Space &home, int v)
| Add value v to value set.
int | size (void) const
| Return size (number of values).
bool | empty (void) const
| Test whether set is empty.
int | min (void) const
| Return smallest value (provided the set is not empty).
int | max (void) const
| Return largest value (provided the set is not empty).
template<class View>
Iter::Ranges::CompareStatus | compare (View x) const
| Compare view x with value set.
template<class View>
bool | subset (View x) const
| Whether all values of x are included in the value set.
void | update (Space &home, ValSet &vs)
| Update value set during cloning.
void | flush (void)
| Flush entries.
void | dispose (Space &home)
| Dispose value set.

## Protected Attributes

RangeList * | fst
| First element of range list.
RangeList * | lst
| Last element of range list.
int | n
| Number of stored values (integer precision is sufficient).

## Detailed Description

Class for storing values of already assigned views.

Definition at line 44 of file val-set.hh.

## Constructor & Destructor Documentation

## ValSet()

Gecode::Int::ValSet::ValSet | ( | void |  | ) |

inline

Initialize.

Definition at line 41 of file val-set.hpp.

## Member Function Documentation

## add()

void Gecode::Int::ValSet::add | ( | Space & | home,
|  | int | v )

inline

Add value v to value set.

Definition at line 45 of file val-set.hpp.

## size()

int Gecode::Int::ValSet::size | ( | void |  | ) | const

inline

Return size (number of values).

Definition at line 81 of file val-set.hpp.

## empty()

bool Gecode::Int::ValSet::empty | ( | void |  | ) | const

inline

Test whether set is empty.

Definition at line 86 of file val-set.hpp.

## min()

int Gecode::Int::ValSet::min | ( | void |  | ) | const

inline

Return smallest value (provided the set is not empty).

Definition at line 91 of file val-set.hpp.

## max()

int Gecode::Int::ValSet::max | ( | void |  | ) | const

inline

Return largest value (provided the set is not empty).

Definition at line 96 of file val-set.hpp.

## compare()

template<class View>

Iter::Ranges::CompareStatus Gecode::Int::ValSet::compare | ( | View | x | ) | const

inline

Compare view x with value set.

Definition at line 161 of file val-set.hpp.

## subset()

template<class View>

bool Gecode::Int::ValSet::subset | ( | View | x | ) | const

inline

Whether all values of x are included in the value set.

Definition at line 171 of file val-set.hpp.

## update()

void Gecode::Int::ValSet::update | ( | Space & | home,
|  | ValSet & | vs )

inline

Update value set during cloning.

Definition at line 101 of file val-set.hpp.

## flush()

void Gecode::Int::ValSet::flush | ( | void |  | ) |

inline

Flush entries.

Definition at line 121 of file val-set.hpp.

## dispose()

void Gecode::Int::ValSet::dispose | ( | Space & | home | ) |

inline

Dispose value set.

Definition at line 126 of file val-set.hpp.

## Member Data Documentation

## fst

RangeList* Gecode::Int::ValSet::fst

protected

First element of range list.

Definition at line 47 of file val-set.hh.

## lst

RangeList* Gecode::Int::ValSet::lst

protected

Last element of range list.

Definition at line 49 of file val-set.hh.

## n

int Gecode::Int::ValSet::n

protected

Number of stored values (integer precision is sufficient).

Definition at line 51 of file val-set.hh.

The documentation for this class was generated from the following files:

- gecode/int/val-set.hh
- gecode/int/val-set.hpp